#!/bin/sh
cd sdcc-3.6.0
if [ x$PREFIX != x"" ]; then
  _PREFIX="--prefix $PREFIX"
fi

# MODELFLAGS is added to enable debugging info in library files
./configure $_PREFIX \
  --disable-mcs51-port    \
  --disable-z80-port      \
  --disable-z180-port     \
  --disable-r2k-port      \
  --disable-r3ka-port     \
  --disable-gbz80-port    \
  --disable-tlcs90-port   \
  --disable-ds390-port    \
  --disable-ds400-port    \
  --disable-pic14-port    \
  --disable-pic16-port    \
  --disable-hc08-port     \
  --disable-s08-port      MODELFLAGS="--debug"

